%global momorel 3

Summary: MP3 taglib for ruby
Name: ruby-mp3taglib
Version: 0.6
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://rubyforge.org/projects/mp3taglib/
Source0: http://rubyforge.org/frs/download.php/68/mp3taglib-%{version}.tar.gz
NoSource: 0
Patch0: ruby-mp3taglib-0.6-nonstatic.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ruby >= 1.8.6-4m
BuildRequires: ruby-devel >= 1.8.6-4m
BuildRequires: id3lib-devel
Requires: id3lib

%description
This extension provides freedb functionality for Ruby.

%prep
%setup -q -n mp3taglib-%{version}
%patch0 -p1

%build
ruby extconf.rb
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README example.rb
%{ruby_sitearchdir}/*so
%{ruby_sitelibdir}/*rb

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-3m)
- rebuild against gcc43

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6-2m)
- rebuild against ruby-1.8.6-4m

* Thu Jun 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6-1m)
- First release to momonga
